Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QCMSeqFactory

    java.lang.Object
      |
      +--com.jxml.quick.QBase
            |
            +--com.jxml.quick.QFilterFactory
                  |
                  +--com.jxml.quick.QListFactory
                        |
                        +--com.jxml.quick.QSeqFactory
                              |
                              +--com.jxml.quick.engine.QCMFactory
                                    |
                                    +--com.jxml.quick.engine.QCMSeqFactory

Direct Known Subclasses:
  QCMSelFactory, QElementFactory

public class QCMSeqFactory
extends QCMFactory

Inner classes inherited from class com.jxml.quick.QSeqFactory
`QSeqFactory.QSeq`

Inner classes inherited from class com.jxml.quick.QListFactory
`QListFactory.QList`

Inner classes inherited from class com.jxml.quick.QFilterFactory
`QFilterFactory.QFilter`

Fields inherited from class com.jxml.quick.engine.QCMFactory
`access, optional, repeating`

Fields inherited from class com.jxml.quick.QListFactory
`factories`

Fields inherited from class com.jxml.quick.QFilterFactory
`newContext`

Constructor Summary
`QCMSeqFactory()`

Method Summary
`protected QFilterFactory.QFilter` | `newFilter()`

Methods inherited from class com.jxml.quick.engine.QCMFactory
`instantiate`

Methods inherited from class com.jxml.quick.QListFactory
`addFactory, importFactories`

Methods inherited from class com.jxml.quick.QFilterFactory
`addToFactory, createContext, createFilter, initFF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QCMSeqFactory

    public QCMSeqFactory()

Method Detail

### newFilter

    protected QFilterFactory.QFilter newFilter()
                                        throws QE

  Overrides:
    `newFilter` in class `QSeqFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD